SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000235supertuxLevels and Worldmapspublic2007-08-05 10:592012-09-08 05:53
Reportermas2265 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86 (Intel, AMD, 32-bit)OSLinuxOS Version2.6
Product Version0.3.1 
Target VersionFixed in Version0.3.1 
Summary0000235: air and earth key mini-levels: level not won when key grabbed
DescriptionIn two of the three key mini-levels I've seen (where a picture of a key is shown on the worldmap and there is text giving you a hint on where to place the key), the level is not won when you touch the key. The only way I've found to exit the level is to abort it (which means not being able to advance beyond it on the map).

If I remember correctly, the affected levels were the air (place-in-the-sky) and the earth (place-underground) ones.
Steps To ReproduceEnter one of the affected key mini-levels. Touch the key. (Note that the key is correctly added to your inventory, according to the status display in the upper-left.)

Expected result: The level is considered won, and you can advance beyond it on the map.

Actual result: The level is not considered won, you have to exit it by aborting, and you cannot advance beyond it on the map.
Additional InformationAttached is my current game-save file.

(As a side note, among other things in the second world, the key scheme seems interesting...but a little bit inconsistent with the first world, IMO.)
TagsAttachedFiles
Fixed in GIT revision
Fixed in subversion revision
Attached Filestxt file icon world1_1 (copy).stsg.txt [^] (9,189 bytes) 2007-08-05 16:01 [Show Content]
txt file icon 2007, 08-22, key level correction diff.txt [^] (1,949 bytes) 2007-08-22 17:59 [Show Content]

- Relationships
has duplicate 0000236closed air and earth key mini-levels: level not won when key grabbed 

-  Notes
(0000570)
mas2265 (reporter)
2007-08-05 15:54

(Oops, sorry for the duplicate...apparently, it went through the first time, just with the attachment rejection.)
(0000596)
mas2265 (reporter)
2007-08-22 18:01

Here's an attempt at a correction (just uploaded). I just copied the lines over from the one key level that seemed to work.

- Issue History
Date Modified Username Field Change
2007-08-05 10:59 mas2265 New Issue
2007-08-05 15:45 WolfgangB Relationship added has duplicate 0000236
2007-08-05 15:54 mas2265 Note Added: 0000570
2007-08-05 16:01 mas2265 File Added: world1_1 (copy).stsg.txt
2007-08-22 17:59 mas2265 File Added: 2007, 08-22, key level correction diff.txt
2007-08-22 18:01 mas2265 Note Added: 0000596
2007-10-07 02:29 Ravu al Hemio Status new => confirmed
2008-01-05 13:13 sommer Status confirmed => closed
2008-01-05 13:13 sommer Resolution open => fixed
2008-01-05 13:13 sommer Fixed in Version => 0.3.1
2012-09-08 05:53 superdev Tag Attached: AttachedFiles


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker